<?php
// Initialisation des membres
function getMembres($bddConnection) {
    $req = $bddConnection->query('SELECT id, pseudo, rang, tokens FROM cmw_users ORDER BY id ASC');
    return $req->fetchAll(PDO::FETCH_ASSOC);
}
$membres = getMembres($bddConnection);
?>

<div class="row">
    <div class="main-bg other-page">
        <div class="container valign-wrapper full-height">
            <div class="center-align m-auto">
                <h1 class="white-text"><?= $_Serveur_['General']['name']; ?></h1>
                <h2 class="white-text small-heading">Liste des membres</h2>
            </div>
            <div class="vertical-line white-line" id="home_header_1"></div>
            <div class="vertical-line white-line" id="home_header_2"></div>
        </div>
    </div>
    <div class="home-second">
        <span class="bg-title-text"><?= $_Serveur_['General']['name']; ?></span>
        <div class="col s12">
            <div class="container">
                <div class="vertical-line grey-line" id="home_second_1"></div>
                <div class="content-area pt-3 pb-3">
                    <div class="app-wrapper">
                        <div class="datatable-search">
                            <i class="material-icons mr-2 search-icon">search</i>
                            <input type="text" placeholder="Rechercher un membre" class="app-filter" id="global_filter">
                        </div>
                        <div id="button-trigger" class="card card card-default scrollspy border-radius-6 fixed-width">
                            <div class="card-content p-0">
                                <table id="data-table-contact" class="display" style="width:100%">
                                    <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Pseudo</th>
                                        <th scope="col">Grade Site</th>
                                        <th scope="col"><?=$_Serveur_['General']['moneyName'];?></th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($membres as $value) : ?>
                                        <tr>
                                            <td><span class="avatar-contact avatar-online"><img src="<?= $_ImgProfil_->getUrlHeadByPseudo($value['pseudo'], 32); ?>" alt="Avatar de <?= $value["pseudo"] ?>"></span></td>
                                            <td><?= $value["pseudo"] ?></td>
                                            <td><?= Permission::getInstance()->gradeJoueur($value["pseudo"]); ?></td>
                                            <td><?= $value['tokens']; ?></td>
                                            <td><a href="?page=profil&profil=<?= $value['pseudo']; ?>" class="waves-effect waves-light btn-small green-btn">Voir le compte</a></td>
                                        </tr>
                                    <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
